/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */

package org.glassfish.cditest.user.api.model;

/**
 * A user login account within our system.
 * 
 * @author kane
 * 
 * @since 0.1
 */
public interface User
{

    public Long getId();

    /**
     * Get the value of firstName
     * 
     * @return the value of firstName
     */
    public String getFirstName();

    /**
     * <p>
     * Get the gender for the user
     * </p>
     * 
     * <p>
     * A gender is much better suited to our needs here as the pure biological
     * sex is.
     * </p>
     * 
     * @return the value of gender
     */
    public Gender getGender();

    /**
     * Get the value of lastName
     * 
     * @return the value of lastName
     */
    public String getLastName();

    /**
     * <p>
     * Get the username used for login
     * </p>
     * 
     * @return the value of username
     */
    public String getUsername();

    /**
     * <p>
     * Get the email address of the user
     * </p>
     * 
     * @return the value of the email
     */
    public String getEmailAddress();

}
